Asterisk Project : Asterisk 11 Function_SHELL This page last changed on Aug 14, 2012 by wikibot. # SHELL() ### Synopsis Executes a command using the system shell and captures its output. ### Description Collects the output generated by a command executed by the system shell Example: `Set(foo=${SHELL(echo \bar)})`
| Note The command supplied to this function will be executed by the system's shell, typically specified in the SHELL environment variable. There are many different system shells available with somewhat different behaviors, so the output generated by this function may vary between platforms.
### Syntax
    SHELL(command)
##### Arguments `command` - The command that the shell should execute. ### Import Version This documentation was imported from Asterisk Version SVN-branch-11-r371227

Document generated by Confluence on Nov 02, 2012 17:42